#include <stdio.h>
#include "LspDirector.h"

LspDirector::LspDirector(int anLspId)
{
    lspId = anLspId;
}

LspDirector::~LspDirector(void)
{
}

void LspDirector::WidgetChanged(Widget* imAChangedWidget)
{
    if (imAChangedWidget == _lspPath)
        // Change the path used by the LSP
        printf("Director informed of change to LSP Path\n");
    else
        if (imAChangedWidget == _qosDescriptor)
            // Change the Qos resources used by the LSP
            printf("Director informed of change to QoS Resources\n");
}

void LspDirector::CreateWidgets()
{
    _lspPath = new PathWidget(this);
    _lspPath->CreateInitialPath("R2R3R4R5");

    _qosDescriptor = new QosWidget(this);
    _qosDescriptor->CreateInitialQoS("Assured Forwarding");
}

void LspDirector::ChangePath(char* newPath)
{
    _lspPath->ChangePath(newPath);
}

void LspDirector::ChangeQoSDetails(char* newQoS)
{
    _qosDescriptor->ChangeQoSDetails(newQoS);
}